Bug 112908

Summary: subscript out of range at compile time
Product: [Fedora] Fedora Reporter: d.binderman
Component: XFree86Assignee: Mike A. Harris <mharris>
Status: CLOSED WONTFIX QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 1Keywords: MoveUpstream
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-01-09 22:12:33 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description d.binderman 2004-01-05 15:08:35 EST
Description of problem:
I just tried to compile package XFree86-4_3_0-37 from Fedora.

The compiler said

gamma_state.c(1599): warning #175: subscript out of range

The source code is

        WRITE(gmesa->buf, TxBaseAddr12, curTex->TextureBaseAddr[12]);

but

[root@localhost SPECS]# find ../BUILD/XFree86-4.3.0/xc/ -name \*.h
-print | xargs grep TextureBaseAddr
../BUILD/XFree86-4.3.0/xc/lib/GL/mesa/src/drv/gamma/gamma_context.h: 
 CARD32 TextureBaseAddr[GAMMA_TEX_MAXLEVELS];

and

[root@localhost SPECS]# find ../BUILD/XFree86-4.3.0/xc/ -name \*.h
-print | xargs grep GAMMA_TEX_MAXLEVELS
../BUILD/XFree86-4.3.0/xc/lib/GL/mesa/src/drv/gamma/gamma_context.h:#define
GAMMA_TEX_MAXLEVELS 12

So curTex->TextureBaseAddr[12] doesn't exist.

I'm not sure what the fix is for this.




Version-Release number of selected component (if applicable):


How reproducible:
Every time.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike A. Harris 2004-01-06 06:20:59 EST
If you are compiling XFree86 yourself, either from raw sources,
or from our RPMs, modified or unmodified, and you require assistance
and/or technical support to get something to compile, you can
post a message to one of the Red Hat and/or XFree86 mailing lists,
such as xfree86-list@redhat.com, redhat-list@redhat.com,
fedora-list@redhat.com, xfree86@xfree86.org or others.

While bugzilla is not a technical support forum for these types of
problems, our mailing lists definitely are, and there are many
people who read our mailing lists and may be able to assist you
with problems of this nature.

Closing bug report as 'NOTABUG'
Comment 2 Miloslav Trmac 2004-01-06 07:28:23 EST
Mike, the object of this bug report is not that the warning occurs,
but that a non-existent array member is accessed.
Comment 3 d.binderman 2004-01-06 09:52:56 EST
>If you are compiling XFree86 yourself, either from raw sources,
>or from our RPMs, modified or unmodified, 

True, I am compiling the Fedora Core 1 Source RPM.

>and you require assistance
>and/or technical support to get something to compile, 

Thanks for the kind offer, but I don't need assistance in getting it 
to compile.

>you can post a message to one of the Red Hat and/or XFree86 mailing 
>lists, such as xfree86-list@redhat.com, redhat-list@redhat.com,
>fedora-list@redhat.com, xfree86@xfree86.org or others.

I think I have found a bug in XFree-86. I thought I had found the 
right place to submit the bug report.

According to your most generous instructions above, it still looks 
like I have found the right place to report it.

I have decided to re-open the bug report. If I am still wrong, then
my apologies, and I will try to report it to the mailing lists you 
mention above.
Comment 4 Mike A. Harris 2004-01-06 16:53:19 EST
If there is no specific bug caused from this problem, such as a
system lockup, X server crash, or visible on screen corruption,
then it should be reported directly to XFree86.org using their
bugzilla at http://bugs.xfree86.org

Unless there is a known and reproduceable system crash caused,
then these types of issues are very low priority and unless there
is a patch attached which fixes the problem without causing further
regressions, it will be of very low priority, and is likely to
sit in bugzilla for a very long time.  Even so, you should still
report it, and any similar reports directly to XFree86.org in
their bugzilla, and then put the URL to the upstream bug report
here for it to be tracked upstream.

There are an enormous amount of compiler warnings generated when
compiling XFree86, and the best place to report them is upstream,
preferably (but not necessarily) with patches that fix the problems
in a clean and clear way.

Once you've reported this upstream, please include the upstream
bug URL here and I will track upstream progress on this.
Comment 5 d.binderman 2004-01-07 04:57:26 EST
>then it should be reported directly to XFree86.org using their
>bugzilla at http://bugs.xfree86.org

I tried doing this, but I couldn't get it to work.
Could I ask you to do this for me, please ?